<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Improving the content</title><meta name="generator" content="DocBook XSL Stylesheets V1.68.1" /><link rel="start" href="index.html" title="Debian Community Guidelines" /><link rel="up" href="ch02.html" title="Chapter 2. Communication-specific guidelines" /><link rel="prev" href="ch02.html" title="Chapter 2. Communication-specific guidelines" /><link rel="next" href="ch02s03.html" title="Improving the presentation" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Improving the content</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch02.html">Prev</a> </td><th width="60%" align="center">Chapter 2. Communication-specific guidelines</th><td width="20%" align="right"> <a accesskey="n" href="ch02s03.html">Next</a></td></tr></table><hr /></div><div class="sect1" lang="en-us" xml:lang="en-us"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="comm-content"></a>Improving the content</h2></div></div></div><p>
The main part of communication is content, and the quality of the content is
the main element that makes it useful.
</p><p>
If the quality of your posts is high, you go a great length in reaching the
goal you had when writing your message.  If the quality of your posts is
usually low, people will slowly start skipping your messages, even if (and
especially if) you post very often.
</p><div class="itemizedlist"><ul type="disc"><li><p><span class="emphasis"><em>Ensure you are adding useful information</em></span></p><p>
    Make sure that every one of your posts contributes at least a piece of
    missing useful information.
    </p><p>
    For example, "RTFM" without a precise pointer is not useful information: if
    someone already knew where to RTFM, they wouldn't bother to ask.
    </p><p>
    Try also not to repeat your points: when you have a good argument, idea or
    claim, let it be heard once.  Do not insist with it unless you can come up
    with code, specifications or technical explanations to back it up.
    </p></li><li><p><span class="emphasis"><em>Share the help you receive</em></span></p><p>
    Solving a problem creates knowledge, and it is important to share it.  A
    useful IRC or email conversation can become a blog entry, a wiki page, a
    short tutorial or HOWTO.
    </p><p>
    When you receive help, try to take notes of all it actually takes you to
    completely solve the problem, and share them.
    </p></li><li><p><span class="emphasis"><em>Reuse existing resources</em></span></p><p>When you are asking a question, <span class="emphasis"><em>do some research before
    posting</em></span>: not only finding something on Google will give you an
    immediate answer, but it will avoid making people upset by asking the same
    question over and over again.
    </p><p>
    Often you may end up reading a list archive with mails related to your
    problems.  Follow the threads to learn more from the experiences of other
    people.
    </p><p>
    If you see an error message you don't understand, pasting it in the Google
    search field often gives you useful information.
    </p><p>If you are replying to a question instead, a bit of research will
    allow you to provide a more precise answer.</p><p>When you find useful informations, <span class="emphasis"><em>post pointers to
    existing resources</em></span>.</p><p>
    If a problem has already been solved or a point has already been made, post a
    link to the existing resource rather than repeating previous arguments.
    </p><p>
    If the existing resource is not good enough, try to improve it: either in
    place (for example, if it is in a wiki) or by posting your further comments
    together with the link.
    </p></li><li><p><span class="emphasis"><em>Know what you want</em></span> and <span class="emphasis"><em>make sure people know what they want</em></span></p><p>
    The biggest part in getting a good answer is to make a good question: try to
    work out what is that you really want.  Ask yourself what are you really
    trying to get, where is that you are stuck, what were you expecting that did
    not happen.  If you are lost, try asking yourself these four questions (this
    is called "Flanagan's Critical Incident Technique"):
      </p><div class="itemizedlist"><ul type="circle"><li><p>
          What led up to the situation?
        </p></li><li><p>
          What did you do that was especially effective or ineffective?
        </p></li><li><p>
          What was the outcome or result of this action?
        </p></li><li><p>
          Why was this action effective, or what more effective action might have
          been expected?
        </p></li></ul></div><p>
    </p><p>
    The same questions are also useful to help clarify a situation when the
    other person is confused, and can be very handy when replying to a request for help or a bug report.
    </p></li></ul></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch02.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch02.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch02s03.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 2. Communication-specific guidelines </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Improving the presentation</td></tr></table></div></body></html>
